// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App';
import router from './router';
import '../public/public_css.css';
import '../public/public.js'
import 'jquery';
import store from './store';
import axios from 'axios';
import {api} from '@/assets/config/url_api.js';
Vue.prototype.$http = axios;
Vue.prototype.URL = api;
import Vant from 'vant';
import 'vant/lib/vant-css/index.css';
Vue.use(Vant);
import Mint from 'mint-ui';
Vue.use(Mint);


// 引入自定义组件。index.js是组件的默认入口
import Loading from './components/loading'
Vue.use(Loading);
import Goods from './components/goodsTemplate'
Vue.use(Goods);


Vue.config.productionTip = false;
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>',
  data:{
  	eventHub: new Vue() //集中事件处理器
  }
})
